surfacefiltertype.h File Reference

Defines constants for normal surface filter types. More...

`#include "regina-core.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Enumerations

enum | regina::SurfaceFilterType { regina::NS_FILTER_DEFAULT = 0, regina::NS_FILTER_PROPERTIES = 1, regina::NS_FILTER_COMBINATION = 2 }
| Represents different types of filter classes that can be used to filter lists of normal surfaces in 3-manifold triangulations. More...

## Detailed Description

Defines constants for normal surface filter types.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).